org.apache.ignite.internal.processors.cache.mvcc

## Interface MvccSnapshot

All Superinterfaces:
  Comparable<MvccVersion>, Message, MvccVersion, Serializable

All Known Implementing Classes:
  MvccSnapshotResponse, MvccSnapshotWithoutTxs

    public interface MvccSnapshot
    extends MvccVersion, Message

MVCC snapshot which holds the following information: - Current MVCC version which should be used for visibility checks - List of active transactions which should not be visible to current transaction - Cleanup version which is used to help vacuum process.

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Method Summary

All Methods Instance Methods Abstract Methods
`MvccLongList` `activeTransactions()`
`long` `cleanupVersion()`
`void` `incrementOperationCounter()` Increments operation counter.
`MvccSnapshot` `withoutActiveTransactions()`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccVersion

`compareTo, coordinatorVersion, counter, operationCounter`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType, fieldsCount, onAckReceived, readFrom, writeTo`

### Method Detail

#### activeTransactions

    MvccLongList activeTransactions()

Returns:
  Active transactions.

#### cleanupVersion

    long cleanupVersion()

Returns:
  Cleanup version (all smaller versions are safe to remove).

#### withoutActiveTransactions

    MvccSnapshot withoutActiveTransactions()

Returns:
  Version without active transactions.

#### incrementOperationCounter

    void incrementOperationCounter()

Increments operation counter.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019